Bug 85539 - SUMPRODUCT not summing multiple sheets
Summary: SUMPRODUCT not summing multiple sheets
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2014-10-28 02:31 UTC by DDCorley
Modified: 2019-05-14 02:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample formulas showing what works, what doesn't and expected results. (85.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-28 02:31 UTC, DDCorley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DDCorley 2014-10-28 02:31:20 UTC
Created attachment 108545 [details]
Sample formulas showing what works, what doesn't and expected results.

=SUMPRODUCT(SUMIF(INDIRECT("$"&$A$1:$A$5&".$A$2:$A$23"),$A19,INDIRECT("$"&$A$1:$A$5&".D$2:D$23")))

Converting similar function from Excel.

The formula should look for sheet names in cells A1 through A5 and look for a match of the value supplied in A19 on any of the sheets in cells A2:A23, summing on values in D2:D23.
  
A1:A5 - Range on same sheet as formula that contains the names of sheets to be summed.
A2:A23 - Is the range on the individual sheets to look for the value supplied in A19.
D2:D23 - Range on the individual sheets with the values to sum if match is found.

If the range A1:A5 is replaced with a single cell (A1 through A5), the formula works and the values are populated.

Attached is an example file, the different sheets are:

INPUT - sheet where values can be entered.
Interest 1 thru Interest 5 - the sheets where values are calculated.
SUMPRODUCTS - sheet that has example formula.
Verify SUMPRODUCTS - Sheet created with work around that has correct values the formula should produce.
Comment 1 DDCorley 2014-10-28 02:32:55 UTC
Attachment is a .ods file.
Comment 2 m.a.riosv 2014-10-28 22:38:40 UTC
Hi DDCorley, thanks for reporting.

Reproducible.
Win7x64Ultimate
LibreOffice Version: 4.3.3.1 Build ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0
AOo 4.1.1

Seems inherited from OOo.
Comment 3 QA Administrators 2015-12-20 16:13:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 

4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 4 QA Administrators 2019-05-14 02:55:15 UTC
Dear DDCorley,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug